org.apache.cassandra.db.monitoring

## Interface Monitorable

All Known Implementing Classes:
  MonitorableImpl, PartitionRangeReadCommand, ReadCommand, SinglePartitionReadCommand

    public interface Monitorable

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `abort()`
`boolean` `complete()`
`long` `constructionTime()`
`boolean` `isAborted()`
`boolean` `isCompleted()`
`boolean` `isCrossNode()`
`boolean` `isInProgress()`
`boolean` `isSlow()`
`java.lang.String` `name()`
`long` `slowTimeout()`
`long` `timeout()`

### Method Detail

#### name

    java.lang.String name()

#### constructionTime

    long constructionTime()

#### timeout

    long timeout()

#### slowTimeout

    long slowTimeout()

#### isInProgress

    boolean isInProgress()

#### isAborted

    boolean isAborted()

#### isCompleted

    boolean isCompleted()

#### isSlow

    boolean isSlow()

#### isCrossNode

    boolean isCrossNode()

#### abort

    boolean abort()

#### complete

    boolean complete()